Subject: Re: [PATCH 1/2] pack-objects: Teach --use-bitmap-index codepath to respect --local, --honor-pack-keep and --incremental

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Aug 2016 12:49:09 -0700

Kirill Smelkov <[email-masked]> writes:

> On Tue, Aug 09, 2016 at 09:52:18AM -0700, Junio C Hamano wrote:
>> "touch A" forcess the readers wonder "does the timestamp of A
>> matter, and if so in what way?" and "does any later test care what
>> is _in_ A, and if so in what way?"  Both of them is wasting their
>> time when there is no reason why "touch" should have been used. 
>
> I see, thanks for explaining. I used to read it a bit the other way;

Surely ">A" may invite "Hmm, is it important that A gets empty?", so
the choice between the two is not so black-and-white.  It just is
that "touch" has a more specific "update the timestamp while keeping
its contents intact" meaning, compared to ">A", which _could_ be
read as "make it empty and update its mtime" but most people would
not (i.e. "update its mtime" is a side effect for any modification).

> Ok, makes sense. Both patches adjusted and will be reposted.

Thanks.